# Modbus устройство на AVR
# Задание
Устройство поключено к питанию всегда. Взаимодействие по интерфейсу UART (RS-485) и протоколу Modbus.
- Discrete Inputs  - 4 штуки
- Coils - 4 штуки
- Input registers - 2 канала АЦП
- Holding Registers - 1 штука: адрес на шине Modbus.
Адрес по умолчанию 0х32. Адрес хранить в ПЗУ чипа.
Адреса данных определить самостоятельно.
# Участники
Южакова Лада
Салангина Анастасия
Макуц Ольга
# Составляющие задачи
- Изучить Modbus (Салангина Анастасия)
- Изучить UART (Макуц Ольга)
- Определить, как происходит передача по протоколу (Салангина Анастасия)
- Разобрать назначение и способы использования регистров и вхоов-выходов (Макуц Ольга)
- Изучить, как переопределять адрес по умолчанию в ПЗУ (Южакова Лада)
- Изучить, как определять адреса данных в ПЗУ (Южакова Лада)
- Изучить, как использовать RX/TX (Макуц Ольга)
- Изучить, что такое верхняя архитектура (все)
- Изучить ПЗУ (Южакова Лада)
- Изучить кольцевой буфер (Южакова Лада)
- Понять, в какой полседовательности будет работать программа (все)